/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package colisoes;

import java.awt.Graphics;
import javaPlay.GameObject;
import java.awt.Color;
import java.awt.Font;

/**
 *
 * @author VisionLab/PUC-Rio
 */

public class Fase extends GameObject
{
    // Número Inicial de Fases
    private int numeroFase;

    public Fase()
    {
        numeroFase = 1;
    }

    //Incrementa em 1 o número de fases
    public void avancaFase(  ){
        numeroFase++;
    }

    //Retorna o número de fases
    public int getNumeroFase(){
        return numeroFase;
    }

    //Desenha a os atributos da Fase na tela
    public void draw(Graphics g)
    {
        g.setColor(Color.YELLOW);
        g.setFont(new Font("Arial", Font.BOLD, 18));
        g.drawString("FASE: " + String.valueOf(numeroFase), 690, 110);
    }

    public void step(long timeElapsed){

    }
}